Skip to content

List Path Audience Segments

Request

Get a list of path audience segments. Segments can be queried and sorted by fields:

  • id,
  • name,
  • version,
  • parent_audience_segment_id,
  • full_path,
  • uniques,
  • retail_cpm (type = double, value in usd),
  • code,
  • buyable,
  • child_count,
  • wholesale_cpm (type = double, value in usd),
  • type,
  • taxonomy_id,
  • updated_on,
  • created_on,
  • audience_vendor_id,
  • audience_vendor_name,
  • audience_vendor_vendor_id,
  • audience_vendor_mma_free_cm,
  • audience_vendor_updated_on,
  • audience_vendor_created_on,
  • audience_vendor_version,
  • audience_vendor_provides_batch_segments,
  • audience_vendor_campaign_brain_enabled,
  • audience_vendor_pin_top_search,
  • audience_vendor_bidder_code,
  • audience_vendor_namespace_code.
Security
Auth0(Required scopes: offline_accessmanage:services)
Query
page_limitinteger, [ 1 .. 1000 ]

Number of elements in the collection to retrieve

Example:page_limit=100
page_offsetinteger, [ 0 .. 1000 ]

Index of the first element in the collection to retrieve

Example:page_offset=0
sort_bystring

The field to sort by. You can use any field name in ascending or descending order. For ascending order, use the field name directly, e.g., id. For descending order, prefix the field name with a hyphen (-), e.g., -id.

Example:sort_by=id, -id, name, -name
qstringrequired

Query search for filtering. This parameter can be used to filter results based on various fields. Supported operators:

  • == - numeric equality or case-sensitive string identity,
  • ==(1,2,3) - IN query (only works for integers),
  • != - numeric inequality or case-sensitive string non-identity,
  • =: - case-insensitive match, allows substring using * wildcards,
  • < - less than,
  • <= - less than or equal to,
  • > - greater than,
  • >= - greater than or equal to. Examples:
  • q=name=:{search}* to find all results with names starting with {search}.
  • q=status==true to find all active entities.
  • q=id>=1000 to find all entities with id greater than or equal to 1000.
  • q=id==(1,2,3) to find specific entities by ID.
  • q=created_on>1999-02-02 or q=created_on>1999-02-02T00:00:00Z to find entities created later than date.
  • q=id>5%26status==true to find all active entities with id greater than 5.
currency_codestring, = 3 characters

If not provided, the default currency (USD) will be used.

Example:currency_code=USD
advertiser_idinteger

Advertiser ID for taxonomy lookup

only_brain_enabledboolean

If true, only segments with audience_vendor.campaign_brain_enabled = true will be returned

parent_idinteger

Parent audience segment ID

withstring

If provided, additional entity information will be returned

Value:"audience_vendor"
GET
/path_audience_segments
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/path_audience_segments?page_limit=100&page_offset=0&sort_by=id%2C%20-id%2C%20name%2C%20-name&q=string&currency_code=USD&advertiser_id=0&only_brain_enabled=true&parent_id=0&with=audience_vendor' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Path audience segments collection response

Bodyapplication/json
dataArray of objects(path_audience_segment)
metaobject(pagination metadata)
Response
{ "data": [ {} ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }